Skip navigation
js.acclaim
Currently Being Moderated

PSE 9, NO VERSION error for sample plugins (dissolve etc)

Feb 27, 2013 8:50 PM

Tags: #plugin #example #no_version

Hi

 

I'm compiling the latest sample plugins, to use as a starting point for upgrading our own plugin to the latest version of OSX.  I'm a Windows developer, so apologies if I'm asking the obvious.

 

Anyhow, after copying the compiled dissolve example into the PSE9 plugin folder, then loading PSE9, I'm getting an error in System Info:

 

Plug-ins that failed to load:

 

  Dissolve NO VERSION - - from the file "Dissolve.plugin"

 

Apart from changing the Base SDK to 10.7, everything else the Dissolve sample is unmodified.  It's a separate issue, but also note that when Base SDK was set to 10.8, I couldn't get it to Build. There were multiple warnings about deprecated functions and I had a Rez Error which I couldn't quickly figure out.

 

I've tried adding "Bundle version" and "Bundle version strings, short" to "SDK common\resources\Info.plist", but that didn't help.  I'm not sure where else to look.

 

What's needed to get the dissolve plug-in loaded/working?

 

Thanks

 

Jamie

 

 

I'm using OSX 10.8, Xcode 4.6, CS6 SDK, testing with PSE 9

 
Replies

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points